Bug 1670524 - Html numeric code is displayed on task page
Summary: Html numeric code is displayed on task page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Tasks Plugin
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.5.0
Assignee: Ivan Necas
QA Contact: tstrych
URL:
Whiteboard:
: 1679785 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-29 18:10 UTC by Nikhil Kathole
Modified: 2019-05-14 12:40 UTC (History)
5 users (show)

Fixed In Version: tfm-rubygem-foreman-tasks-0.14.4.4-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:39:54 UTC


Attachments (Terms of Use)
screenshot of UI (44.37 KB, image/png)
2019-01-29 18:11 UTC, Nikhil Kathole
no flags Details
snap-13-bug (24.49 KB, image/png)
2019-03-07 11:01 UTC, tstrych
no flags Details
snap-18-veryfied (23.32 KB, image/png)
2019-03-07 11:02 UTC, tstrych
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:40:02 UTC
Foreman Issue Tracker 26014 None None None 2019-02-08 09:05:10 UTC

Description Nikhil Kathole 2019-01-29 18:10:48 UTC
Description of problem:

Task page displays html numeric code rather showing characters.

Ex:
manifest import task shows

Import Manifest organization 'TmCzDiMvfhZI'

It should show

Import Manifest organization 'TmCzDiMvfhZI'



Version-Release number of selected component (if applicable):
Satellite 6.5 snap13


How reproducible: always


Steps to Reproduce:
1. Navigate to Monitor -> tasks page
2. See any task name having the special character in name such as import manifest task

Actual results:
task name displayed with Html numeric code 


Expected results:

No Html numeric code in task name on tasks page.


Additional info:

Comment 3 Nikhil Kathole 2019-01-29 18:11:41 UTC
Created attachment 1524768 [details]
screenshot of UI

Comment 6 Ivan Necas 2019-02-08 09:05:09 UTC
Created redmine issue https://projects.theforeman.org/issues/26014 from this bug

Comment 7 Bryan Kearney 2019-02-08 11:09:19 UTC
Upstream bug assigned to inecas@redhat.com

Comment 8 Bryan Kearney 2019-02-08 11:09:20 UTC
Upstream bug assigned to inecas@redhat.com

Comment 9 Nagoor Shaik 2019-02-22 09:10:04 UTC
*** Bug 1679785 has been marked as a duplicate of this bug. ***

Comment 11 tstrych 2019-03-07 11:01:42 UTC
Created attachment 1541806 [details]
snap-13-bug

Comment 12 tstrych 2019-03-07 11:02:45 UTC
Created attachment 1541807 [details]
snap-18-veryfied

Comment 13 tstrych 2019-03-07 11:10:50 UTC
Hi,

I create organization (Administer -> Organizations) , then I managed manifest (Content -> Subscriptions),
And finally I look at Monitor -> Tasks - > Import Manifest organization 'name of organization' and I checked if the path on the top in navigation panel has numeric code. 

I found problem on Satellite 6.5 snap 13.

In Satellite 6.5 snap 18 everything works well.  No Html numeric code in task name on tasks page. You can take a look print screen attachments. 
Verified.

Comment 16 errata-xmlrpc 2019-05-14 12:39:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.